#ifndef TCC_PATH_H
# define TCC_PATH_H 1

# define IS_DIRSEP(c) (c == '/')
# define IS_ABSPATH(p) IS_DIRSEP(p[0])
# define PATHCMP strcmp

#ifdef _WIN32
# define PATHSEP ";"
#else
# define PATHSEP ":"
#endif

char *tcc_basename(const char *name);
char *tcc_fileextension (const char *name);

#endif /* !TCC_PATH_H */