#ifndef TCC_OBJECT_ARCHIVE_H
# define TCC_OBJECT_ARCHIVE_H 1

/**
 * @defgroup object_archive UNIX Archive
 * @ingroup object
 * @{
 */

# define ARCHIVE_MAGIC  "!<arch>\n"
# define ARCHIVE_MAGSZ  8
# define ARCHIVE_FILMAG "`\n"

typedef struct ArchiveFileHeader {
	char name[16];
	char last_mod[12];
	char uid[6];
	char gid[6];
	char mode[8];
	char size[10];
	char fmag[2];
} ArchiveFileHeader;

typedef struct ArchiveEntry {
} ArchiveEntry;

typedef struct Archive {
	char *filename;
} Archive;

/**
 * @}
 */

#endif /* !TCC_OBJECT_AR_H */